This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 883445 - Switching between java VNC viewers with alt-tab results in loss of keyboard input focus
Switching between java VNC viewers with alt-tab results in loss of keyboard i...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tigervnc (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-04 10:58 EST by Jeff Forbes
Modified: 2013-08-01 08:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1024406 (view as bug list)
Environment:
Last Closed: 2013-08-01 08:50:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Forbes 2012-12-04 10:58:49 EST
Description of problem:
Using alt-tab to move between tigervnc java viewers results in loss of keyboard input and spurious mouse input.

Version-Release number of selected component (if applicable):
tigervnc-server-applet-1.1.0-6.1.fc17
$ java -version 
java version "1.7.0_09"
Java(TM) SE Runtime Environment (build 1.7.0_09-b05)
Java HotSpot(TM) 64-Bit Server VM (build 23.5-b02, mixed mode)

How reproducible:
Always

Steps to Reproduce:
1. Launch to qemu-kvm VMs with vnc output to different ports
2. Launch two instances of the java viewer to connect to the kvm vnc servers
3. Log in and open terminal windows on each.
4. Typing into terminal windows works
5. Switch between windows with alt-tab
6. Switch back to one of the java viewer windows
7. Try typing in to windows
8. Repeat until keyboard input to terminal window no longer works
  
Actual results:

keyboard input lost and mouse opens up drop down menus

Expected results:
No different when switching between windows.

Additional info:

May be related to information here:
http://dogfeathers.com/mark/java7issue.html
Comment 2 Fedora Admin XMLRPC Client 2013-05-13 10:55:11 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2013-07-04 00:09:19 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 08:50:20 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.